<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
    xmlns:dmx="urn:my-scripts">

  <msxsl:script language="C#" implements-prefix="dmx">
     <![CDATA[
        public int GetAge(string date)
        {
            int age = 0;
            System.DateTime dateOfBirth = System.DateTime.Parse(date);
            System.TimeSpan ts = System.DateTime.Now - dateOfBirth;
            age = (int)(ts.TotalDays / 365.25);
            return age;
        }
      ]]>
   </msxsl:script>

  <xsl:template match="/">
    <p>
        <xsl:for-each select="UserList/User">
            <xsl:value-of select="@ID" /> == <xsl:value-of select="Nick" />:
            <xsl:value-of select="dmx:GetAge(DateOfBirth)"/> let
            <br />
        </xsl:for-each>
    </p>
  </xsl:template>
</xsl:stylesheet>
